Bug 801360 - ruby shadow not installable on f17 ruby(abi) != 1.9
ruby shadow not installable on f17 ruby(abi) != 1.9
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby-shadow (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 06:15 EST by Steve Traylen
Modified: 2012-05-02 00:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: ruby-shadow-1.4.1-16.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 00:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2012-03-08 06:15:18 EST
Description of problem:

ruby-shadow not installable on f17 with ruby 1.9.3  (abi = 1.9.1)

Version-Release number of selected component (if applicable):

ruby-shadow-1.4.1-15.fc17.x86_64

How reproducible:

every time

Steps to Reproduce:
1. yum repolist
fedora                       Fedora 17 - x86_64                           26,141
fedora-debuginfo             Fedora 17 - x86_64 - Debug                  5,765+1
updates                      Fedora 17 - x86_64 - Updates                      0
updates-debuginfo            Fedora 17 - x86_64 - Updates - Debug              0
updates-testing              Fedora 17 - x86_64 - Test Updates             4,232
updates-testing-debuginfo    Fedora 17 - x86_64 - Test Updates Debug       777+1

2. yum install ruby-shadow
  
Actual results:

Error: Package: ruby-shadow-1.4.1-15.fc17.x86_64 (fedora)
           Requires: libruby.so.1.8()(64bit)
Error: Package: ruby-shadow-1.4.1-15.fc17.x86_64 (fedora)
           Requires: ruby(abi) = 1.8
           Installed: ruby-libs-1.9.3.0-8.fc17.x86_64 (@updates-testing)
               ruby(abi) = 1.9.1


Expected results:

ruby-shadow should install

Additional info:

Presumably needs updating for the ruby(abi) update.  Apologies if this is all having automatically,

Many thanks.

Seve.
Comment 1 Radek Novacek 2012-03-08 09:42:54 EST
Current ruby-shadow seems to be incompatible with ruby >= 1.9. This repo claims to support ruby 1.9: https://github.com/apalmblad/ruby-shadow . It might be good source for patch.
Comment 2 Todd Zullinger 2012-03-08 12:46:05 EST
This is known and being worked on in a review request for rubygem-ruby-shadow (which uses the gem from the github repo in Radek's comment.  See bug #782560 for the review.  Things are a little in flux due to the pending nature of the ruby guidelines for 1.9 and several of us being on vacation or otherwise occupied in the last few weeks.  I should have time in the coming week to work on this more and hopefully get it wrapped up and submitted soon after that.

(Puppet still won't work with 1.9, if that was the end goal that you were installing ruby-shadow to achieve.  We'll have to update to the latest 2.7.x packages on Fedora 17, and even with that there are a number of known issues with ruby 1.9 that upstream are still working out.)
Comment 3 Fedora Update System 2012-04-22 10:06:52 EDT
ruby-shadow-1.4.1-16.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ruby-shadow-1.4.1-16.fc17
Comment 4 Fedora Update System 2012-04-22 21:24:16 EDT
Package ruby-shadow-1.4.1-16.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ruby-shadow-1.4.1-16.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6448/ruby-shadow-1.4.1-16.fc17
then log in and leave karma (feedback).
Comment 5 Todd Zullinger 2012-04-26 14:51:50 EDT
Karma on the update would be great, if anyone can test.  Otherwise, it's another 4 days in updates-testing.
Comment 6 Fedora Update System 2012-05-02 00:52:17 EDT
ruby-shadow-1.4.1-16.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.